--AH:ScriptId=49bebe7b-7acb-4054-ae5b-1bc11d8a69cb;334
ALTER TABLE [BuildSchedules]
  ADD [SourceControl_QuietPeriod_Minutes] SMALLINT NULL
GO

UPDATE [BuildSchedules] SET [SourceControl_QuietPeriod_Minutes] = 0
 WHERE [Schedule_Type] = 'SCM Triggered'
GO 

ALTER TABLE [BuildSchedules]  
  ADD CONSTRAINT [CK__BuildSchedules__SourceControl_QuietPeriod_Minutes__Domain]
      CHECK 
      (
        ([Schedule_Type] = 'SCM Triggered'
          AND [SourceControl_QuietPeriod_Minutes] IS NOT NULL
          AND [SourceControl_QuietPeriod_Minutes] >= 0)
        OR
        ([Schedule_Type] <> 'SCM Triggered'
          AND [SourceControl_QuietPeriod_Minutes] IS NULL)
      )