--AH:ScriptId=6277577d-61ec-4ffc-8e73-6c9f5d367316;3254
WITH K AS (
	SELECT TOP 1 *
	  FROM [LicenseKeys]
	 WHERE [ActivationCode_Text] IS NOT NULL
	 ORDER BY [AddedOn_Date] DESC
)
INSERT INTO [Configuration] ([Key_Name], [Value_Text], [Legacy_Scope_Name], [Legacy_Key_Name])
SELECT [Key_Name] = 'Licensing.Key',
       [Value_Text] = [LicenseKey_Text],
       [Legacy_Scope_Name] = NULL,
       [Legacy_Key_Name] = NULL
  FROM K
UNION ALL
SELECT [Key_Name] = 'Licensing.ActivationCode',
       [Value_Text] = [ActivationCode_Text],
       [Legacy_Scope_Name] = NULL,
       [Legacy_Key_Name] = NULL
  FROM K
GO

IF OBJECT_ID('[LicenseKeys_GetLicenseKeys]') IS NOT NULL DROP PROCEDURE [LicenseKeys_GetLicenseKeys]
GO

IF OBJECT_ID('[LicenseKeys_DeleteLicenseKey]') IS NOT NULL DROP PROCEDURE [LicenseKeys_DeleteLicenseKey]
GO

IF OBJECT_ID('[LicenseKeys_AddLicenseKey]') IS NOT NULL DROP PROCEDURE [LicenseKeys_AddLicenseKey]
GO

IF OBJECT_ID('[LicenseKeys_ActivateLicenseKey]') IS NOT NULL DROP PROCEDURE [LicenseKeys_ActivateLicenseKey]
GO

DROP TABLE [LicenseKeys]
GO
