IF OBJECT_ID('[Plans_MostCommonActions]') IS NOT NULL DROP VIEW [Plans_MostCommonActions]
GO

CREATE VIEW [Plans_MostCommonActions] AS

SELECT [Action_Type],
       [Usage_Count] = COUNT([Action_Type])
  FROM (SELECT [Action_Type] = CAST([Action_Configuration].query('local-name(/*[1])') AS VARCHAR(200)) + ',' + [Action_Configuration].value('/*[1]/@Assembly', 'VARCHAR(100)')
          FROM [ActionGroupActions]) AT
 GROUP BY AT.[Action_Type]

GO
