EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Calendars_GetCalendar',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Calendars',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified calendar.'
GO


IF OBJECT_ID('[Calendars_GetCalendar]') IS NOT NULL DROP PROCEDURE [Calendars_GetCalendar]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Calendars_GetCalendar]
(
    @Calendar_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [Calendars]
     WHERE [Calendar_Id] = @Calendar_Id

END
GO

GRANT EXECUTE ON [Calendars_GetCalendar] TO [BuildMasterUser_Role]