EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageSources_GetPackageSource',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'PackageSources',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified package source.'
GO

IF OBJECT_ID('[PackageSources_GetPackageSource]') IS NOT NULL DROP PROCEDURE [PackageSources_GetPackageSource]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PackageSources_GetPackageSource]
(
    @PackageSource_Id INT
)
AS
BEGIN

	SET NOCOUNT ON
	
	SELECT * 
      FROM [PackageSources]
	WHERE [PackageSource_Id] = @PackageSource_Id

END
GO

GRANT EXECUTE ON [PackageSources_GetPackageSource] TO [BuildMasterUser_Role]
