EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ReleaseTemplates_DeleteTemplate',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified release template.'
GO

IF OBJECT_ID('[ReleaseTemplates_DeleteTemplate]') IS NOT NULL DROP PROCEDURE [ReleaseTemplates_DeleteTemplate]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ReleaseTemplates_DeleteTemplate]
(
	@ReleaseTemplate_Id INT
) 
AS
BEGIN

    DELETE [ReleaseTemplates]
     WHERE [ReleaseTemplate_Id] = @ReleaseTemplate_Id


END
GO

GRANT EXECUTE ON [ReleaseTemplates_DeleteTemplate] TO [BuildMasterUser_Role]

