EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'RetentionPolicies_GetPurgeLog',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'RetentionPoliciesPurgeHistory',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified purge history log.'
GO


IF OBJECT_ID('[RetentionPolicies_GetPurgeLog]') IS NOT NULL DROP PROCEDURE [RetentionPolicies_GetPurgeLog]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RetentionPolicies_GetPurgeLog]
(
	@RetentionPoliciesPurgeHistoryEntry_Id INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [RetentionPoliciesPurgeHistory]
	 WHERE [RetentionPoliciesPurgeHistoryEntry_Id] = @RetentionPoliciesPurgeHistoryEntry_Id

END
GO

GRANT EXECUTE ON [RetentionPolicies_GetPurgeLog] TO [BuildMasterUser_Role]