EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ScriptAssets_GetScript',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'ScriptAssets',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the script with the specified ID.'
GO

IF OBJECT_ID('[ScriptAssets_GetScript]') IS NOT NULL DROP PROCEDURE [ScriptAssets_GetScript]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ScriptAssets_GetScript]
(
	@ScriptAsset_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [ScriptAssets]
	 WHERE [ScriptAsset_Id] = @ScriptAsset_Id

END
GO

GRANT EXECUTE ON [ScriptAssets_GetScript] TO [BuildMasterUser_Role]