EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_GetVariableDeclaration',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'VariableDeclarations',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the variable declaration in the system that has the specified ID.'
GO


IF OBJECT_ID('[Variables_GetVariableDeclaration]') IS NOT NULL DROP PROCEDURE [Variables_GetVariableDeclaration]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_GetVariableDeclaration]
(
	@VariableDeclaration_Id INT
)
AS
BEGIN

	SET NOCOUNT ON
	
	SELECT *
	  FROM [VariableDeclarations]
	 WHERE [VariableDeclaration_Id] = @VariableDeclaration_Id

END
GO

GRANT EXECUTE ON [Variables_GetVariableDeclaration] TO [BuildMasterUser_Role]