IF OBJECT_ID('[EventNotifiers]') IS NOT NULL DROP VIEW [EventNotifiers]
GO

CREATE VIEW [EventNotifiers] AS

SELECT N.[Notifier_Id]
      ,N.[Notifier_Name]
      ,N.[Notifier_Configuration]
      ,N.[Owner_User_Name]

      ,EO.[EventOccurence_Id]
      ,EO.[Event_Code]
      ,EO.[User_Name]
      ,EO.[Occurence_Date]
      ,EO.[Application_Id]

  FROM [EventOccurences] EO
       INNER JOIN [NotifierEventCodes] NEC
               ON EO.[Event_Code] = NEC.[Event_Code]
       INNER JOIN [Notifiers] N
               ON N.[Notifier_Id] = NEC.[Notifier_Id]
 WHERE N.[Active_Indicator] = 'Y'