EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ContainerSources_GetContainerSource',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'ContainerSources',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified container source.'
GO

IF OBJECT_ID('[ContainerSources_GetContainerSource]') IS NOT NULL DROP PROCEDURE [ContainerSources_GetContainerSource]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ContainerSources_GetContainerSource]
(
    @ContainerSource_Id INT = NULL,
	@ContainerSource_Name VARCHAR(50) = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
      FROM [ContainerSources]
	 WHERE [ContainerSource_Id] = @ContainerSource_Id
	    OR [ContainerSource_Name] = @ContainerSource_Name

END
GO

GRANT EXECUTE ON [ContainerSources_GetContainerSource] TO [BuildMasterUser_Role]
