EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageSources_GetPackageSourceByName',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'PackageSources',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified package source.'
GO

IF OBJECT_ID('[PackageSources_GetPackageSourceByName]') IS NOT NULL DROP PROCEDURE [PackageSources_GetPackageSourceByName]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PackageSources_GetPackageSourceByName]
(
    @PackageSource_Name VARCHAR(50)
)
AS
BEGIN

	SET NOCOUNT ON
	
	SELECT * 
      FROM [PackageSources]
	WHERE [PackageSource_Name] = @PackageSource_Name

END
GO

GRANT EXECUTE ON [PackageSources_GetPackageSourceByName] TO [BuildMasterUser_Role]
