EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'TextTemplates_DeleteTemplate',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified text template'
GO

IF OBJECT_ID('[TextTemplates_DeleteTemplate]') IS NOT NULL DROP PROCEDURE [TextTemplates_DeleteTemplate]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [TextTemplates_DeleteTemplate]
(
	@TextTemplate_Id INT
)
AS
BEGIN
	SET NOCOUNT ON

	DELETE [TextTemplates]
     WHERE [TextTemplate_Id] = @TextTemplate_Id

END
GO

GRANT EXECUTE ON [TextTemplates_DeleteTemplate] TO [BuildMasterUser_Role]